<?php
require('fpdf/fpdf.php');
$Id=$_GET['Id'];
class PDF extends FPDF

{
// Cabecera de página
public function Header()


{

    // Arial bold 15
    $this->iMAGE('IMG/imgutsem/Reporte.jpg', 20, 10, 240, 25, 'png' );
    $this->Ln(40);
    $this->SetFont('Arial','B',9);
    
    // Movernos a la derecha
    $this->Cell(180);
    // Título
    $this->SetY(35);
    $this->Cell(38);
    $this->Cell(150,10,'SOLICITUD DE MANTENIMIENTO CORRECTIVO DEL HARDWARE, SOFTWARE, SISTEMAS DE INFORMACIÓN Y COMUNICACIÓN',0,0,'C');
    $this->Ln(15); 
    
    
    
    // Salto de línea
    $this->Ln(7);
    $this->iMAGE('IMG/satisfaccion.png', 136, 134, 65, 5, 'png' );
    
    $this->Ln(7);
    $this->SetY(42);
    $this->Cell(165); 
    $this->Cell(60,10,'NO. DE SOLICITUD (TÉCNICO):',0,0,'C',0);
    $this->Ln(7);
    $this->SetY(45);
    $this->Cell(40,10,'ÁREA:');
    $this->Ln(7);
    $this->SetY(51);
    $this->Cell(53,10,'UBICACIÓN:');
    $this->Ln(7);
    $this->SetY(57);
    $this->Cell(40,10,'NO. DE SERIE:');
    $this->SetY(48);
    $this->Cell(102);
    $this->Cell(20,10,'FECHA:',0,0,'C',0);
    $this->Ln(28);
    $this->SetY(65);
    $this->Cell(100, 20,'DESCRIPCIÓN DEL EQUIPO, NECESIDAD O FALLA:'); 
    $this->Ln(7);
    $this->SetY(82);
    $this->Cell(100, 20,'DIAGNÓSTICO DE FALLA (TÉCNICO):'); //movimiento por coordenadas
    $this->Ln(28);
    $this->SetY(102);
    $this->Cell(100, 20,'ACTIVIDADES REALIZADAS (TÉCNICO):');
    $this->Ln(7);
    $this->SetY(132);
    $this->Cell(110,10,'CUÁL ES EL NIVEL DE SATISFACCIÓN GENERAL DE LA ANTENCIÓN:',0,0,'L',0);
    
    
  
}

// Pie de página
public function Footer()
{
    $this->SetFont('Arial','I',11);
    $this->iMAGE('IMG/imgutsem/Reportepiedpag.jpg', 25, 170, 230, 15, 'png' );
    $this->iMAGE('IMG/pie2.png', 1, 155, 270, 7, 'png' );
    $this->Ln(7);
    $this->SetY(190);
    $this->Cell(30);
    $this->Cell(110,10,'F.E: 20-05-2022',0,0,'L',0);
     $this->Ln(7);
    $this->SetY(190);
    $this->Cell(170);
    $this->Cell(105,10,'FO-DSI-02/03',0,0,'L',0);
    
    // Posición: a 1,5 cm del final
    $this->SetY(-15);
    // Arial italic 8
    
    // Número de página
    
    
}
}

require ("db.php");
$consulta = "SELECT * FROM software WHERE Id=$Id";
$resultado = mysqli_query($conexion, $consulta);


$pdf = new PDF();
$pdf->AliasNbPages();
$pdf->SetMargins(25, 25 , 25);
$pdf->AddPage('LANDSCAPE', 'letter');
$pdf->SetFont('Arial','I',10);


while ($row=$resultado->fetch_assoc()) {
    
    $pdf->Ln(7);
    $pdf->SetY(42);
    $pdf->Cell(220);
    $pdf->Cell(20,10,$row['Id'],0,0,'L',0);
    $pdf->Ln(7);
    $pdf->SetY(45);
    $pdf->Cell(26);
	$pdf->Cell(80,10,$row['Area'],0,0,'L',0);
    $pdf->Ln(7);
    $pdf->SetY(51);
    $pdf->Cell(26);
	$pdf->Cell(50,10,$row['Ubicacion'],0,0,'L',0);
    $pdf->Ln(7);
    $pdf->SetY(48);
    $pdf->Cell(121);
    $pdf->Cell(40,10,$row['Fecha'],0,0,'L',0);
    $pdf->Ln(7);
    $pdf->SetY(75);
    $pdf->MultiCell(220,10,$row['Descripcion']);
    $pdf->Ln(7);
    $pdf->SetY(75);
    $pdf->Cell(45);
    $pdf->MultiCell(220,10,$row['Necesidad']);
    $pdf->Ln(7);
    $pdf->SetY(117);
    $pdf->MultiCell(220,5,$row['Actividad']);
    $pdf->Ln(7);
    $pdf->SetY(92);
    $pdf->MultiCell(220,10,$row['Diagnostico']);
    $pdf->Ln(7);
    $pdf->SetY(162);
    $pdf->Cell(3);
    $pdf->Cell(60,10,$row['Nombre'],0,0,'C',0);
    $pdf->Ln(7);
    $pdf->SetY(165);
    $pdf->Cell(3);
    $pdf->Cell(155,5,$row['Ejecuto'],0,0,'C',0);
    $pdf->Ln(7);
    $pdf->SetY(165);
    $pdf->Cell(55);
    $pdf->Cell(165,5,$row['Verifico'],0,0,'C',0);
    $pdf->Ln(7);
    $pdf->SetY(165);
    $pdf->Cell(115);
    $pdf->Cell(165,5,$row['Recibio'],0,0,'C',0);
    
   
    

} 


	$pdf->Output('I', 'Reportes');
?>